local AsterixVillage = ...

function registerHouse(_nameFbx, _nameAsset, _buildingZone) 
    -- Apply building asset processor
    AsterixVillage:registerAssetProcessor("models/" .. _nameFbx .. ".fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
    })

    -- Register core prefab nodes
    AsterixVillage:registerAssetId("models/" .. _nameFbx .. ".fbx/Prefab/AsterixVillage/" .. _nameFbx .. "Part", AsterixVillagePrefix .. "_" .. _nameAsset .. "_PREFAB")

    -- Register the water mill Core part
    AsterixVillage:registerAsset({
	DataType = "BUILDING_PART",
	Id = AsterixVillagePrefix .. "_" .. _nameAsset .. "_PART",
	Name = AsterixVillagePrefix .. "_" .. _nameAsset .. "_NAME",
	Description = AsterixVillagePrefix .. "_" .. _nameAsset .. "_DESC",
	Category = "CORE",
	BuildingZone = _buildingZone,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = AsterixVillagePrefix .. "_" .. _nameAsset .. "_PREFAB"
	},
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = _NoSandbox*2 }
		},
		ResourceNeededList = {{ -- List of RESOURCE_QUANTITY_PAIR
			{ Resource = "WOOD", Quantity = _NoSandbox*5 }
		}}
	}
    })
end
function registerHouseWithFirePlace(_nameFbx, _nameAsset, _buildingZone) 
    registerHouse(_nameFbx, _nameAsset, _buildingZone)

    -- Register particle system
    AsterixVillage:registerAssetId("models/" .. _nameFbx .. ".fbx/Prefab/AsterixVillage/" .. _nameFbx .. "Part/cheminee/SmokeEmitter", AsterixVillagePrefix .. "_" .. _nameAsset .. "_SMOKE_EMITTER_PREFAB")

    AsterixVillage:registerPrefabComponent("models/" .. _nameFbx .. ".fbx/Prefab/AsterixVillage/" .. _nameFbx .. "Part/cheminee/SmokeEmitter", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "PARTICLE_SYSTEM_HOUSING_SMOKE",
	IsPlaying = true,
	IsEmitting = true
    })

    AsterixVillage:registerPrefabComponent("models/" .. _nameFbx .. ".fbx/Prefab/AsterixVillage/" .. _nameFbx .. "Part/cheminee/SmokeEmitter", {
	DataType = "COMP_PARTICLE_EMITTER_TOGGLE",
	Enabled = true
    })

end

registerHouseWithFirePlace( "asterix", "ASTERIX",
    { ZoneEntryList = {
            { Polygon = polygon.createRectangle( { 6, 8} ),
              Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = true } }
    }})
registerHouseWithFirePlace( "abraracourcix", "ABRARACOURCIX",
    { ZoneEntryList = {
            { Polygon = polygon.createRectangle( { 6, 12 } ),
              Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = true } }
    }})
registerHouseWithFirePlace( "assurancetourix", "ASSURANCETOURIX",
    { ZoneEntryList = {
            { Polygon = polygon.createRectangle( { 4, 4} ),
              Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = true } }
    }})
registerHouseWithFirePlace( "cetautomatix", "CETAUTOMATIX",
    { ZoneEntryList = {
            { Polygon = polygon.createRectangle( { 5, 8},{1.5, 0} ),
              Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = true } },
            { Polygon = polygon.createRectangle( { 8, 5},{-1, 1.5} ),
              Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = true } }
    }})
registerHouseWithFirePlace( "ordralphabetix", "ORDRALPHABETIX",
    { ZoneEntryList = {
            { Polygon = polygon.createRectangle( { 6, 18} ),
              Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = true } }
    }})
registerHouseWithFirePlace( "panoramix", "PANORAMIX",
    { ZoneEntryList = {
            { Polygon = polygon.createRectangle( { 6, 8} ),
              Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = true } }
    }})
registerHouse( "gauloise1", "GAULOISE1",
    { ZoneEntryList = {
            { Polygon = polygon.createCircle( 3, { 0, 0 }, 8 ),
              Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = true } }
    }})
registerHouseWithFirePlace( "gauloise2", "GAULOISE2",
    { ZoneEntryList = {
            { Polygon = polygon.createRectangle( { 6, 8} ),
              Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = true } }
    }})

