local AsterixVillage = ...

-- Apply building asset processor
AsterixVillage:registerAssetProcessor("models/core.fbx", {
    DataType = "BUILDING_ASSET_PROCESSOR"
})

-- Register core prefab nodes (currently only one core model)
AsterixVillage:registerAssetId("models/core.fbx/Prefab/CoreBuildingPart", AsterixVillagePrefix .. "_CORE_BUILDING_PREFAB")

-- Register the sheep dairy Core building part
AsterixVillage:registerAsset({
	DataType = "BUILDING_PART",
	Id = AsterixVillagePrefix .. "_CORE_BUILDING_PART",
	Name = AsterixVillagePrefix .. "_CORE_BUILDING_NAME",
	Description = AsterixVillagePrefix .. "_CORE_BUILDING_DESC",
	Category = "CORE",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = AsterixVillagePrefix .. "_CORE_BUILDING_PREFAB"
	},
        IsVisibleWhenBuilt = false
})

-- Register all water mill building parts and their properties
AsterixVillage:dofile(_scriptFolder .. "/buildingsPart.lua")

AsterixVillage:registerAsset({
    Id = AsterixVillagePrefix .. "_SET",
    DataType = "BUILDING",
    AssetCoreBuildingPart = AsterixVillagePrefix .. "_CORE_BUILDING_PART",
    Name = AsterixVillagePrefix .. "_SET_NAME",
    Description = AsterixVillagePrefix .. "_SET_DESC",
    BuildingType = "MODS",
    BuildingPartSetList = {
        {
            Name = AsterixVillagePrefix .. "_PARTSETLIST_PRODUCTION_NAME",
	    BuildingPartList = {
		AsterixVillagePrefix .. "_ASTERIX_PART",
		AsterixVillagePrefix .. "_ABRARACOURCIX_PART",
		AsterixVillagePrefix .. "_ASSURANCETOURIX_PART",
		AsterixVillagePrefix .. "_CETAUTOMATIX_PART",
		AsterixVillagePrefix .. "_ORDRALPHABETIX_PART",
		AsterixVillagePrefix .. "_PANORAMIX_PART",
		AsterixVillagePrefix .. "_GAULOISE1_PART",
		AsterixVillagePrefix .. "_GAULOISE2_PART",
            }
        },
    },
    IsEditable = true
})